Create Metadata
curl --request POST \
--url https://api.landing.ai/v1/projects/{project_id}/metadata \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"allowMultiple": true,
"predefinedChoices": [
"<string>"
]
}
'import requests
url = "https://api.landing.ai/v1/projects/{project_id}/metadata"
payload = {
"name": "<string>",
"allowMultiple": True,
"predefinedChoices": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', allowMultiple: true, predefinedChoices: ['<string>']})
};
fetch('https://api.landing.ai/v1/projects/{project_id}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"name": "<string>",
"allowMultiple": true,
"predefinedChoices": [
"<string>"
],
"id": 123,
"valueFlexible": true
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Metadata
Create Metadata
POST
/
v1
/
projects
/
{project_id}
/
metadata
Create Metadata
curl --request POST \
--url https://api.landing.ai/v1/projects/{project_id}/metadata \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"allowMultiple": true,
"predefinedChoices": [
"<string>"
]
}
'import requests
url = "https://api.landing.ai/v1/projects/{project_id}/metadata"
payload = {
"name": "<string>",
"allowMultiple": True,
"predefinedChoices": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', allowMultiple: true, predefinedChoices: ['<string>']})
};
fetch('https://api.landing.ai/v1/projects/{project_id}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"name": "<string>",
"allowMultiple": true,
"predefinedChoices": [
"<string>"
],
"id": 123,
"valueFlexible": true
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Headers
Path Parameters
Query Parameters
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
⌘I

